#ifndef QRFETAGID_H
#define QRFETAGID_H

#include <QByteArray>

class QrfeTagId
{
public:
    QrfeTagId();
    QrfeTagId(const QByteArray &epc);
    QrfeTagId(const QrfeTagId& other);

    virtual QString tagId() const;
    virtual bool isValid() const;

protected:
    QByteArray m_epc;
    bool m_valid;
};

#endif // QRFETAGID_H
